cutlass::gemm Namespace Reference

## Namespaces

| device
| kernel
| thread
| threadblock
| warp

## Classes

struct | BatchedGemmCoord
struct | GemmCoord
struct | GemmShape
| Shape of a matrix multiply-add operation. More...

## Typedefs

template<typename Shape >
using | GemmShapeTranspose = GemmShape< Shape::kN, Shape::kM, Shape::kK >
| Type alias of the transpose of a GemmShape. More...

## Enumerations

enum | Operand { Operand::kA, Operand::kB, Operand::kC, Operand::kD }
| GEMM operand enumeration: D = A * B + C. More...

## Typedef Documentation

template<typename Shape >

using cutlass::gemm::GemmShapeTranspose = typedef GemmShape<Shape::kN, Shape::kM, Shape::kK>

## Enumeration Type Documentation

enum cutlass::gemm::Operand

strong

Enumerator
kA |
kB | A multiplicand.
kC | B multiplicand.
kD | Source accumulator. Destination accumulator